package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class PullRefreshConfig extends JceStruct {
    public Action action;
    public float bgAspectRatio;
    public String bgColor;
    public String bgImageUrl;
    static Action cache_action;
    static Action cache_pullAction;
    static ArrayList cache_textList;
    static EventValidateInfo cache_validateInfo;
    static WidgetInfo cache_widget;
    public int configType;
    public long endTime;
    public String imageUrl;
    public Action pullAction;
    public long startTime;
    public ArrayList textList;
    public EventValidateInfo validateInfo;
    public WidgetInfo widget;

    static {
        PullRefreshConfig.cache_action = new Action();
        PullRefreshConfig.cache_textList = new ArrayList();
        PullRefreshConfig.cache_textList.add(new PullRefreshText());
        PullRefreshConfig.cache_validateInfo = new EventValidateInfo();
        PullRefreshConfig.cache_pullAction = new Action();
        PullRefreshConfig.cache_widget = new WidgetInfo();
    }

    public PullRefreshConfig() {
        super();
        this.imageUrl = "";
        this.bgColor = "";
        this.action = null;
        this.startTime = 0;
        this.endTime = 0;
        this.textList = null;
        this.bgImageUrl = "";
        this.validateInfo = null;
        this.pullAction = null;
        this.configType = 0;
        this.bgAspectRatio = 0f;
        this.widget = null;
    }

    public PullRefreshConfig(String arg5, String arg6, Action arg7, long arg8, long arg10, ArrayList arg12, String arg13, EventValidateInfo arg14, Action arg15, int arg16, float arg17, WidgetInfo arg18) {
        super();
        this.imageUrl = "";
        this.bgColor = "";
        this.action = null;
        this.startTime = 0;
        this.endTime = 0;
        this.textList = null;
        this.bgImageUrl = "";
        this.validateInfo = null;
        this.pullAction = null;
        this.configType = 0;
        this.bgAspectRatio = 0f;
        this.widget = null;
        this.imageUrl = arg5;
        this.bgColor = arg6;
        this.action = arg7;
        this.startTime = arg8;
        this.endTime = arg10;
        this.textList = arg12;
        this.bgImageUrl = arg13;
        this.validateInfo = arg14;
        this.pullAction = arg15;
        this.configType = arg16;
        this.bgAspectRatio = arg17;
        this.widget = arg18;
    }

    public final void readFrom(c arg5) {
        this.imageUrl = arg5.b(0, false);
        this.bgColor = arg5.b(1, false);
        this.action = (Action) arg5.a(PullRefreshConfig.cache_action, 2, false);
        this.startTime = arg5.a(this.startTime, 3, false);
        this.endTime = arg5.a(this.endTime, 4, false);
        this.textList = (ArrayList) arg5.a(PullRefreshConfig.cache_textList, 5, false);
        this.bgImageUrl = arg5.b(6, false);
        this.validateInfo = (EventValidateInfo) arg5.a(PullRefreshConfig.cache_validateInfo, 7, false);
        this.pullAction = (Action) arg5.a(PullRefreshConfig.cache_pullAction, 8, false);
        this.configType = arg5.a(this.configType, 9, false);
        this.bgAspectRatio = arg5.a(this.bgAspectRatio, 10, false);
        this.widget = (WidgetInfo) arg5.a(PullRefreshConfig.cache_widget, 11, false);
    }

    public final void writeTo(d arg4) {
        if(this.imageUrl != null) {
            arg4.a(this.imageUrl, 0);
        }

        if(this.bgColor != null) {
            arg4.a(this.bgColor, 1);
        }

        if(this.action != null) {
            arg4.a(this.action, 2);
        }

        arg4.a(this.startTime, 3);
        arg4.a(this.endTime, 4);
        if(this.textList != null) {
            arg4.a(this.textList, 5);
        }

        if(this.bgImageUrl != null) {
            arg4.a(this.bgImageUrl, 6);
        }

        if(this.validateInfo != null) {
            arg4.a(this.validateInfo, 7);
        }

        if(this.pullAction != null) {
            arg4.a(this.pullAction, 8);
        }

        arg4.a(this.configType, 9);
        arg4.a(this.bgAspectRatio, 10);
        if(this.widget != null) {
            arg4.a(this.widget, 11);
        }
    }

}

